//$$---- Form HDR ----
//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <stdio.h>
#include <Dialogs.hpp>
#include <ExtDlgs.hpp>
#include <Menus.hpp>

//----------DIV kszt (P.Csaba)----------------------------------------------
class TDivKesz
{
  private:
//-----rtkek----
	 int tulaj;
	 int width;
	 int height;
	 AnsiString bg;
	 int fontsize;
	 AnsiString fontcolor, igazit, pozicio;

  public:
//---------konstruktor-------------------------------------------------------
	  TDivKesz(void)
	  {
//**************alaprtkek****************
			tulaj=-1;
			width=100;
			height=200;
			bg="";
			fontsize=14;
			fontcolor="";
			igazit="none";
			pozicio="relative";
	  }
//---------fgvnyek---------------------------------------------------------
//..........olvas.............
int tulajki (void)
{
	return tulaj;
}
int szeleski (void)
 {
	return width;
 }

int magaski (void)
 {
	return height;
 }

AnsiString hatterki (void)
 {
   return bg;
 }

int betumeretki (void)
 {
	return fontsize;
 }

AnsiString betuszinki (void)
 {
	return fontcolor;
 }
 AnsiString igazitki (void)
 {
	 return igazit;
 }
 AnsiString pozicioki (void)
 {
	 return pozicio;
 }
//........ber................
void tulajbe (int bejon)
{
	tulaj=bejon;
}
void szelesbe (int bejon)
{
  width=bejon;
}
void magasbe (int bejon)
{
  height=bejon;
}
void hatterbe (AnsiString bejon)
{
  bg=bejon;
}
void betumeretbe (int bejon)
{
   fontsize=bejon;
}
void betuszinbe (AnsiString bejon)
{
   fontcolor=bejon;
}
void igazitbe (int bejon)
{
	switch (bejon)
	{
		   case 0 : igazit="none"; break;
		   case 1 : igazit="inherit"; break;
		   case 2 : igazit="left"; break;
		   case 3 : igazit="right"; break;
		   default:
		;
	}
}
void poziciobe (int bejon)
{
	switch (bejon)
	{
		   case 0 : pozicio="relative"; break;
		   case 1 : pozicio="absolute"; break;
		   case 2 : pozicio="inherit"; break;

		   default:
		;
	}
}
//------------------destruktor------------------------------------------------
	 ~TDivKesz (void)
	 {

	 }
};
//-------------Body bellt (P.Csaba)------------------------------------------
class TBodyKesz
{
   private:
	 AnsiString bg;
	 int fontsize;
	 AnsiString fontcolor;

   public:
//------------------constructor----------------------------------------------
	 TBodyKesz(void)
	 {

//---rtkek---
		 bg="";
		 fontsize=14;
		 fontcolor="";
	 }
//-------------------fgvnyek-----------------------------------------------
//..........olvas............
AnsiString hatterki (void)
{
	return bg;
}
int betumerki (void)
{
	return fontsize;
}
AnsiString betuszinki (void)
{
	return fontcolor;
}
//........ber..........
void hatterbe (AnsiString bejon)
{
	bg=bejon;
}
void betumeretbe (int bejon)
{
	fontsize=bejon;
}
void betuszinbe (AnsiString bejon)
{
    fontcolor=bejon;
}
//-----------------destruktor------------------------------------------------
	~TBodyKesz (void)
	{
	
	}
};
//-------css mentse (F.Andrs)------------------------------------------------
class TCssGen
{
	private:
	FILE *cp;


	public:
//--------------konstrukkkkkktttoooooorrrr---
     TCssGen (AnsiString feler)
  {
	 cp=fopen(feler.c_str(),"wt");
	 if (cp==NULL)
	 {
		 ShowMessage("Memria hiba miatt nem ment");
	 }
  }
void divment (int divszam, int width, int height, AnsiString bg, int fontsize, AnsiString fontcolor, AnsiString igazit, AnsiString pozicio)
{


	AnsiString tart;
	tart="";
	tart= tart+(char)10+(char)13+"#div"+IntToStr(divszam)+(char)10+(char)13
	+"{"+(char)10+(char)13
	+"width:"+IntToStr(width)+"px;"+(char)10+(char)13
	+"height:"+IntToStr(height)+"px;"+(char)10+(char)13
	+"background:"+bg+";"+(char)10+(char)13
	+"font-size:"+IntToStr(fontsize)+"px;"+(char)10+(char)13
	+"font-color:"+fontcolor+";"+(char)10+(char)13
	+"float:"+igazit+";"+(char)10+(char)13
	+"position:"+pozicio+";"+(char)10+(char)13
	+"}";
	fputs(tart.c_str(),cp);
}
void bodyment(AnsiString bg, int fontsize, AnsiString fontcolor)
{
	AnsiString tart;
	tart="";
	tart=tart+(char)10+(char)13+"body"+(char)10+(char)13
	+"{"+(char)10+(char)13
	+"background:"+bg+";"+(char)10+(char)13
	+"font-size:"+fontsize+";"+(char)10+(char)13
	+"font-color:"+fontcolor+";"+(char)10+(char)13
	+"}";
	fputs(tart.c_str(),cp);
}

//--------------destrukkktttoooorrrrr-------------

	~TCssGen (void)
	{
		fclose(cp);
	}
};
//------------Html By (Sz.Dvid)-----------------------------------------------
class THtmlGen
{
	private:
	FILE *fip;
	public:
//--------------constructor------------------
   THtmlGen(AnsiString feler)
   {
	   fip=fopen(feler.c_str(),"wt");//ltrehoz
	   if(fip==NULL)   //ellenriz
	   {
		 ShowMessage("Memria hiba miatt nem ment");
	   }
   }
//ber
void htmlkesz(AnsiString csseler)
{
	AnsiString tartalom;
	tartalom="";
	tartalom=tartalom+(char)60+(char)33+"DOCTYPE html PUBLIC"+(char)34+(char)45+
	"/W3C/DTD XHTML 1.0 Transitional/ENhttp:/www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd;"+(char)34+(char)62+(char)13+(char)10+(char)60+
	"html xmlns="+(char)34+"http://www.w3.org/1999/xhtml"+(char)34+(char)62+(char)13+(char)10+
	"<head>"+(char)13+(char)10+
	"<meta http-equiv="+(char)34+"Content-Type"+(char)34+"content="+(char)34+"text/html"+(char)59+"charset=utf-8"+(char)34+(char)47+(char)62+(char)13+(char)10+
	"<title>Proba</title>"+(char)13+(char)10+
	"<link href="+(char)34+csseler+(char)34+" rel="+(char)34+"stylesheet"+(char)34+" type="+(char)34+"text/css"+(char)34+"/>"+(char)13+(char)10+
	(char)60+(char)47+"head"+(char)62+(char)13+(char)10+
	"<body>"+(char)13+(char)10+"</body>"+(char)13+(char)10+
	"</html>";
	fputs (tartalom.c_str() , fip);
}
//--------------destr-------------

	~THtmlGen (void)
	{
		fclose(fip);
	}

};
//----------------------------------------------------------------------------
typedef TDivKesz *DI;

//----------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TPanel *Panel2;
	TButton *Button1;
	TRadioGroup *RadioGroup1;
	TRadioButton *RadioButton1;
	TRadioButton *RadioButton2;
	TButton *Button2;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label4;
	TLabel *Label5;
	TComboBox *ComboBox1;
	TLabel *Label6;
	TComboBox *ComboBox2;
	TPanel *Panel3;
	TLabel *Label7;
	TComboBox *ComboBox3;
	TComboBox *ComboBox4;
	TButton *Button3;
	TButton *Button4;
	TButton *Button5;
	TMainMenu *MainMenu1;
	TMenuItem *Fjl1;
	TMenuItem *Megynits1;
	TMenuItem *Ments1;
	TMenuItem *Kilps1;
	TMenuItem *CSS1;
	TMenuItem *jDiv1;
	TMenuItem *Bodybelltsa1;
	TOpenDialog *OpenDialog1;
	TSaveDialog *SaveDialog1;
	TOpenPictureDialog *OpenPictureDialog1;
	TColorDialog *ColorDialog1;
	TEdit *Edit1;
	TEdit *Edit2;
	TEdit *Edit3;
	TColorDialog *ColorDialog2;
	void __fastcall Bodybelltsa1Click(TObject *Sender);
	void __fastcall jDiv1Click(TObject *Sender);
	void __fastcall Button3Click(TObject *Sender);
	void __fastcall Button4Click(TObject *Sender);
	void __fastcall Button5Click(TObject *Sender);
	void __fastcall Ments1Click(TObject *Sender);
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall Button1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
	DI *div;
	TBodyKesz *body;
	TCssGen *ment;
	int i;
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
